
From: Alan Cox <alan@lxorguk.ukuu.org.uk>

Years old bug, has to be fixed for it8212 to work

Signed-off-by: Alan Cox <alan@redhat.com>
Cc: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/ide-disk.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/ide/ide-disk.c~ide-fix-ide-disk-inability-to-handle-lba-only-devices drivers/ide/ide-disk.c
--- 25/drivers/ide/ide-disk.c~ide-fix-ide-disk-inability-to-handle-lba-only-devices	2005-06-24 02:10:37.000000000 -0700
+++ 25-akpm/drivers/ide/ide-disk.c	2005-06-24 02:10:37.000000000 -0700
@@ -119,6 +119,10 @@ static int lba_capacity_is_ok (struct hd
 {
 	unsigned long lba_sects, chs_sects, head, tail;
 
+	/* No non-LBA info .. so valid! */
+	if (id->cyls == 0)
+		return 1;
+
 	/*
 	 * The ATA spec tells large drives to return
 	 * C/H/S = 16383/16/63 independent of their size.
_
